API Reference
This documentation contains the API reference for the MSA Search NIM.
OpenAPI Specification
You can download the complete OpenAPI Specification for the MSA Search NIM here.
Predict a Multiple Sequence Alignment Search
Endpoint path: /biology/colabfold/msa-search/predict
Request type: post
Input parameters
-
sequence (string): Required. An input string representing a protein sequence and composed of valid IUPAC amino acid single-letter codes. -
databases (list[strings]): Optional (default: all available databases). Number of tokens to be generated. -
e_value (float): Optional. Sequences with an e-value less than this are not included in the MSA. -
iterations (int): Optional. The number of search iterations. Running more iterations produces more sensitive results. -
output_alignment_formats (list[strings]): A list of output alignment formats, which can contain any ofa3morfasta. -
max_msa_sequences (int): Optional. The maximum number of sequences included in the output MSA of each database. Note: This parameter is overridden by theNIM_GLOBAL_MAX_MSA_SEQUENCESenvironment variable and the limit to the number of NIM sequences is 10,000.
Outputs
alignments (Dictionary[string -> Dictionary[string, Alignment Record]]): This structure holds a dictionary, with keys corresponding to each search database. The values corresponding to the dictionary name keys are dictionaries mapping from the file format to an output Alignment Record. Each Alignment Record contains the raw alignment data and a format field. The following is an example of accessing the fast-formatted alignment for the Uniref30_2302 database:
Example
Curl
Python
-
templates (dictionary): Always returned, but may be empty. This would contain structural templates. This field is maintained for compatibility with the OpenFold NIM API. -
metrics (dictionary): Always returned, but may be empty. This dictionary contains information about the response that may be useful for debugging and measuring performance.
Get the configured databases
Endpoint path: /biology/colabfold/msa-search/config/msa-database-configs
Request type: get
Input parameters
None: This endpoint takes no inputs.
Outputs
configs (dictionary): Always returned, except on error. This is a nested dictionary that contains information about all of the configured MSA databases. This can be converted to YAML to see the original configuration file.
Example
Curl
Python
Readiness check
Endpoint path: /v1/health/ready
Input parameters
None.
Outputs
The output of the endpoint is a JSON response with a value that indicates the readiness of the microservice. When the NIM is ready, it returns the response 200.